CREATE INDEX "IDX_PROCESS_STARTTIME"
  ON X4SERVER.PROCESS (x4_starttime );
  
CREATE INDEX "IDX_PROCESS_ENDTIME_TS_ID"
  ON X4SERVER.PROCESS (x4_endtime desc, x4_technicalstate, x4_id );
  
INSERT INTO x4server.placeholder_groups (x4_name) values ('X4BAM');
INSERT INTO x4server.placeholder_values (x4_name, x4_value, x4_type, x4_group_id) 
	SELECT 'MonitoringDays', '30', 3, x4_id FROM x4server.placeholder_groups WHERE x4_name = 'X4BAM';
	
ALTER TABLE X4SERVER.PROCESS ADD x4_running int NULL;

CREATE INDEX "IDX_PROCESS_RUNNING"
  ON X4SERVER.PROCESS (x4_running );
  
UPDATE X4SERVER.PROCESS SET x4_running = 1 WHERE x4_technicalstate IS NULL;