INSERT INTO X4SERVER.PLACEHOLDER_GROUPS (x4_name) values ('UserManagement');
INSERT INTO X4SERVER.PLACEHOLDER_VALUES (x4_name, x4_value, x4_type, x4_group_id) 
	SELECT 'CertificateValidity', '365', 3, x4_id FROM x4server.placeholder_groups WHERE x4_name = 'UserManagement';
INSERT INTO X4SERVER.PLACEHOLDER_VALUES (x4_name, x4_value, x4_type, x4_group_id) 
	SELECT 'CertificateAuthority', 'SoftProject', 0, x4_id FROM x4server.placeholder_groups WHERE x4_name = 'UserManagement';

ALTER TABLE X4PERM.x4p_user ADD COLUMN CERT_ALIAS varchar(255) NULL;
ALTER TABLE X4PERM.x4p_user ADD COLUMN CERT_FINGERPRINT varchar(255) NULL;


insert into X4PERM.X4P_perm_template(object_type, action, description, MODULE, name) values (
	'jmx', 'access', 'Parameter has to be *', (select id from X4PERM.X4P_module where name = 'X4BAM'), 'Access JMX Administration'
);

INSERT INTO X4PERM.X4P_PERM(MODULE, OBJECT_TYPE, ACTION, DESCRIPTION, NAME, PARAMETER) VALUES (
	(SELECT id FROM X4PERM.X4P_MODULE WHERE NAME='X4BAM'),'jmx','access','Can access jmx administration', 'X4 BAM Access JMX Administration', '*');

INSERT INTO X4PERM.X4P_ROLE(NAME, DISPLAY_NAME, DESCRIPTION, CREATED, LASTMODIFIED, MODULE) VALUES (
 'X4 JMX Administrator', 'X4 JMX Administrator', 'Role for accessing jmx administration',
 CURRENT_TIMESTAMP, 
 CURRENT_TIMESTAMP,
(SELECT id FROM X4PERM.X4P_MODULE WHERE NAME='X4BAM'));

INSERT INTO X4PERM.X4P_ROLE_PERM(ROLE_id, PERMISSION_id)
	SELECT X4P_ROLE.id, X4P_PERM.id FROM X4PERM.X4P_ROLE, X4PERM.X4P_PERM WHERE X4P_ROLE.NAME='X4 JMX Administrator'
		AND X4P_PERM.MODULE=(SELECT id FROM X4PERM.X4P_MODULE WHERE NAME='X4BAM') and X4P_PERM.OBJECT_TYPE = 'jmx';

		
INSERT INTO X4PERM.X4P_GROUP_ROLE( group_id, role_id)            
	    SELECT X4PERM.X4P_GROUP.ID, X4PERM.X4P_ROLE.ID FROM X4PERM.X4P_GROUP, X4PERM.X4P_ROLE WHERE X4PERM.X4P_GROUP.NAME='Administrators' AND X4PERM.X4P_ROLE.NAME='X4 JMX Administrator';
		

