<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0"
	xmlns:webapp="http://softproject.de/webapp/1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output media-type="text/xml" method="xml" />
	<xsl:template match="*">
		<xsl:copy>
			<xsl:apply-templates select="node() | @*" />
		</xsl:copy>
	</xsl:template>
	<xsl:template match="//webapp:*[local-name() = 'TextBox' and ./@type = 'password']">
		<xsl:element name="PasswordBox"
			namespace="http://softproject.de/webapp/1.0">
			<xsl:for-each select="./@*">
				<xsl:if test="name() != 'type'">
					<xsl:copy-of select="." />
				</xsl:if>
			</xsl:for-each>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@*" mode="#all">
		<xsl:copy-of select="." />
	</xsl:template>
	<xsl:template
		match="text()|processing-instruction()|comment()">
		<xsl:copy-of select="." />
	</xsl:template>
</xsl:stylesheet>
<!--Created by X4 Designer, Copyright © SoftProject GmbH. All rights reserved. -->