<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0"
	xmlns:webapp="http://softproject.de/webapp/1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output media-type="text/xml" method="xml" />
	<xsl:template match="*">
		<xsl:copy>
			<xsl:apply-templates select="node() | @*" />
		</xsl:copy>
	</xsl:template>
	<xsl:template match="//webapp:*[local-name() = 'TextBox' and (./@type = 'date' or ./@type = 'datetime')]">
		<xsl:element name="DateTimePicker"
			namespace="http://softproject.de/webapp/1.0">
			<xsl:for-each select="./@*">
				<xsl:choose>
					<xsl:when test="name() != 'type'">
						<xsl:copy-of select="." />
					</xsl:when>
					 <xsl:otherwise>
					 	<xsl:if test=". = 'datetime'">
					 		<xsl:attribute name="format">
					 			<xsl:text>Date Time With Minutes</xsl:text>
					 		</xsl:attribute>
					 	</xsl:if>
					 </xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@*" mode="#all">
		<xsl:copy-of select="." />
	</xsl:template>
	<xsl:template
		match="text()|processing-instruction()|comment()">
		<xsl:copy-of select="." />
	</xsl:template>
</xsl:stylesheet>
<!--Created by X4 Designer, Copyright © SoftProject GmbH. All rights reserved. -->