<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				version="2.0">
	<xsl:output omit-xml-declaration="yes" indent="yes"/>
	<xsl:strip-space elements="*"/>
	<xsl:output method="xml" media-type="text/xml"></xsl:output>
	<xsl:template match="*">
		<xsl:copy>
			<xsl:apply-templates select="node() | @*"></xsl:apply-templates>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="//xs:schema/xs:complexType[@name='Access']/xs:attribute[@name='managementUser' or @name='managementUserPassword']"/>
	<xsl:template mode="#all" match="@*">
		<xsl:copy-of select="."></xsl:copy-of>
	</xsl:template>
	<xsl:template match="text()|processing-instruction()|comment()">
		<xsl:copy-of select="."></xsl:copy-of>
	</xsl:template>
</xsl:stylesheet>