<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
	<xsl:output media-type="text/xml" method="xml"></xsl:output>
	<xsl:param name="project" />
	<xsl:template match="/Constant[not(@value)]">
		<xsl:copy>
			<xsl:attribute name="value"><xsl:value-of select="$project" /></xsl:attribute>
			<xsl:apply-templates select="@* | node()"></xsl:apply-templates>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="*">
		<xsl:copy>
			<xsl:apply-templates select="@*" />
			<xsl:apply-templates select="node()" />
		</xsl:copy>
	</xsl:template>
	<xsl:template match="@*">
		<xsl:copy-of select="." />
	</xsl:template>
	<xsl:template match="text()|processing-instruction()|comment()">
		<xsl:copy-of select="." />
	</xsl:template>
</xsl:stylesheet>
