<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
  xmlns:webapp="http://softproject.de/webapp/1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output media-type="text/xml" method="xml"/>
  <xsl:template match="webapp:Gauge/@green">
    <xsl:attribute name="axisMin">
      <xsl:value-of select="."/>
    </xsl:attribute>
  </xsl:template>
  <xsl:template match="webapp:Gauge/@normal">
    <xsl:attribute name="axisMiddle">
      <xsl:value-of select="."/>
    </xsl:attribute>
  </xsl:template>
  <xsl:template match="webapp:Gauge/@red">
    <xsl:attribute name="axisMax">
      <xsl:value-of select="."/>
    </xsl:attribute>
  </xsl:template>
  <xsl:template match="*">
		<xsl:copy>
			<xsl:apply-templates select="@*" />
			<xsl:apply-templates select="node()" />
		</xsl:copy>
	</xsl:template>
	<xsl:template match="@*">
		<xsl:copy-of select="." />
	</xsl:template>
	<xsl:template match="text()|processing-instruction()|comment()">
		<xsl:copy-of select="." />
	</xsl:template>
</xsl:stylesheet>
<!--Created by X4 Front-End 4.1, (C) 2003-2010 SoftProject GmbH-->