ALTER TABLE X4PERM.X4P_USER MODIFY FIRST_NAME VARCHAR2(50) NULL;
ALTER TABLE X4PERM.X4P_USER MODIFY LAST_NAME  VARCHAR2(100);

INSERT INTO X4PERM.X4P_ROLE_PERM(ROLE_id, PERMISSION_id) VALUES (          
	(SELECT id FROM X4PERM.X4P_ROLE WHERE NAME='X4 Custom Placeholders write')
	,(SELECT id FROM X4PERM.X4P_PERM WHERE MODULE=(SELECT id FROM X4PERM.X4P_MODULE WHERE NAME='Custom Placeholders') 
		AND NAME='X4 Custom Placeholders Read Data'));
		
INSERT INTO X4PERM.X4P_ROLE_PERM(ROLE_id, PERMISSION_id)
	SELECT X4P_ROLE.id, X4P_PERM.id FROM X4PERM.X4P_ROLE, X4PERM.X4P_PERM WHERE X4P_ROLE.NAME='X4 User Management Administrator'
		AND X4P_PERM.MODULE=(SELECT id FROM X4PERM.X4P_MODULE WHERE NAME='URM') and X4P_PERM.ACTION in ('list','read');
		
INSERT INTO X4PERM.X4P_ROLE_PERM(ROLE_id, PERMISSION_id)
	SELECT X4P_ROLE.id, X4P_PERM.id FROM X4PERM.X4P_ROLE, X4PERM.X4P_PERM WHERE X4P_ROLE.NAME='X4 Scheduler Administrator'
		AND X4P_PERM.MODULE=(SELECT id FROM X4PERM.X4P_MODULE WHERE NAME='X4BAM') and X4P_PERM.ACTION in ('list','read') and X4P_PERM.OBJECT_TYPE = 'scheduler';
		
INSERT INTO X4PERM.X4P_ROLE_PERM(ROLE_id, PERMISSION_id)
	SELECT X4P_ROLE.id, X4P_PERM.id FROM X4PERM.X4P_ROLE, X4PERM.X4P_PERM WHERE X4P_ROLE.NAME='X4 Monitoring Administrator'
		AND X4P_PERM.MODULE=(SELECT id FROM X4PERM.X4P_MODULE WHERE NAME='X4BAM') and X4P_PERM.ACTION in ('list','read') and X4P_PERM.OBJECT_TYPE in ('process','instance');

COMMIT;