#include "include/schema.include"
#include "include/type.include"
#include "include/sequence.include"

--5.8.2
#ifdef ORACLE
SEQ(ID,X4_CASES,X4_SCHEMA);
DROP_SEQ(ID,X4_CASES,X4_SCHEMA);
SEQ(ID,X4_TASKS,X4_SCHEMA);
DROP_SEQ(ID,X4_TASKS,X4_SCHEMA);

ALTER TABLE X4_SCHEMA.X4_CASES MODIFY REMINDER X4_TYPE_DATETIME_NULLABLE NULL;
ALTER TABLE X4_SCHEMA.X4_CASES MODIFY DEADLINE X4_TYPE_DATETIME_NULLABLE NULL;
ALTER TABLE X4_SCHEMA.X4_CASES MODIFY AGENT X4_TYPE_VARCHAR_NULLABLE(100) NULL;
ALTER TABLE X4_SCHEMA.X4_CASES MODIFY AGENT_GROUP X4_TYPE_VARCHAR_NULLABLE(100) NULL;
ALTER TABLE X4_SCHEMA.X4_TASKS MODIFY REMINDER X4_TYPE_DATETIME_NULLABLE NULL;
ALTER TABLE X4_SCHEMA.X4_TASKS MODIFY DEADLINE X4_TYPE_DATETIME_NULLABLE NULL;
ALTER TABLE X4_SCHEMA.X4_TASKS MODIFY AGENT X4_TYPE_VARCHAR_NULLABLE(100) NULL;
ALTER TABLE X4_SCHEMA.X4_TASKS MODIFY AGENT_GROUP X4_TYPE_VARCHAR_NULLABLE(100) NULL;
ALTER TABLE X4_SCHEMA.X4_JOURNALS MODIFY OLD_VALUE X4_TYPE_VARCHAR_NULLABLE(200) NULL;
ALTER TABLE X4_SCHEMA.X4_JOURNALS MODIFY NEW_VALUE X4_TYPE_VARCHAR_NULLABLE(200) NULL;
#endif
