#include "include/schema.include"
#include "include/version.include"

UPDATE X4_SCHEMA.X4_VERSION SET VERSION = ARTIFACT_VERSION;

#ifdef POSTGRESQL
    DO $$
    BEGIN
        IF EXISTS (SELECT 1 FROM pg_roles WHERE UPPER(rolname) = 'X4SERVER') THEN
            GRANT ALL PRIVILEGES ON SCHEMA X4_SCHEMA TO X4_SCHEMA;
            GRANT ALL PRIVILEGES ON ALL TABLES IN SCHEMA X4_SCHEMA TO X4_SCHEMA;
            GRANT ALL PRIVILEGES ON ALL SEQUENCES IN SCHEMA X4_SCHEMA TO X4_SCHEMA;
        END IF;
    END
    $$;
#endif
