<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xsl:output media-type="text/xml" method="xml"/>
  <xsl:template match="//Feature[Datatype='DateTime']/DefaultValue">
    <xsl:copy>
     <xsl:value-of select="adjust-dateTime-to-timezone(adjust-dateTime-to-timezone(.),xs:dayTimeDuration('PT0H'))"></xsl:value-of>
    </xsl:copy>
  </xsl:template>
  <xsl:template match="@*|node()">
    <xsl:copy>
      <xsl:apply-templates select="@*|node()"/>
    </xsl:copy>
  </xsl:template>
</xsl:stylesheet>