<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output indent="yes" media-type="text/xml" method="xml" />
	<xsl:template match="/Workflow/Actions/Action[Module='iXadMan']/Parameters">
		<xsl:copy>
			<xsl:apply-templates select="@*" />
			<xsl:choose>
				<xsl:when test="string-length(Parameter[name = 'action']/value) = 0 and string-length(Parameter[name = 'action']/@id) != 0">
					<xsl:variable name="id" select="Parameter[name = 'action']/@id"/>
					<xsl:apply-templates select="Parameter[@id != $id]" />
					<xsl:element name="Parameter">
						<xsl:attribute name="id"><xsl:value-of select="$id"/></xsl:attribute>
						<xsl:element name="name">action</xsl:element>
						<xsl:element name="value">DEFAULT</xsl:element>
					</xsl:element>
				</xsl:when>
				<xsl:when test="string-length(Parameter[name = 'action']/value) = 0">
					<xsl:apply-templates select="Parameter" />
					<xsl:element name="Parameter">
						<xsl:attribute name="id">666</xsl:attribute>
						<xsl:element name="name">action</xsl:element>
						<xsl:element name="value">DEFAULT</xsl:element>
					</xsl:element>
				</xsl:when>
				<xsl:otherwise>
					<xsl:apply-templates select="Parameter" />
				</xsl:otherwise>
			</xsl:choose>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="node()">
		<xsl:copy>
			<xsl:apply-templates select="@*" />
			<xsl:apply-templates select="child::node()|text()" />
		</xsl:copy>
	</xsl:template>
	<xsl:template match="@*">
		<xsl:copy-of select="." />
	</xsl:template>
</xsl:stylesheet>
<!--Created by X4 Designer, Copyright © SoftProject GmbH. All rights reserved. -->