<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output media-type="text/xml" method="xml" indent="yes" />
	<xsl:template match="property[@name = 'Adapter' and not(exists(AllowableValues))]">
		<xsl:copy>
			<xsl:apply-templates select="@*" />
			<xsl:attribute name="optional">false</xsl:attribute>
			<xsl:attribute name="data_type">array</xsl:attribute>
			<xsl:attribute name="comment">Implementation class</xsl:attribute>
			<xsl:element name="AllowableValues">
				<xsl:element name="Value">
					<xsl:attribute name="iXname">
						<xsl:value-of select="./@value" />
					</xsl:attribute>
					<xsl:attribute name="value">
						<xsl:value-of select="./@value" />
					</xsl:attribute>
				</xsl:element>
			</xsl:element>
			<xsl:apply-templates select="node()" />
		</xsl:copy>
	</xsl:template>
	<xsl:template match="node()|@*">
		<xsl:copy>
			<xsl:apply-templates select="node()|@*" />
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet> <!--Created by X4 Designer, Copyright © SoftProject GmbH. All rights reserved. -->