<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output media-type="text/xml" method="xml"/>
  <xsl:template match="Action[Module = 'iXmap']/Parameters[Parameter/name = 'XSL' 
  and Parameter/value ='X4Common/Common/mapping/createMailInput.xsl' 
  or Parameter/value ='X4Common/Common/mapping/setErrorState.xsl' 
  or Parameter/value ='X4Common/Common/mapping/setEmptyState.xsl' 
  or Parameter/value ='X4Common/Common/mapping/setOkState.xsl']/Parameter[name = 'X4REMOVEPROCESSINGINSTRUCTIONS']/value">
    <value>true</value>
  </xsl:template>
  <xsl:template match="*">
    <xsl:copy>
      <xsl:apply-templates select="@*"/>
      <xsl:apply-templates select="node()"/>
    </xsl:copy>
  </xsl:template>
  <xsl:template match="@*">
    <xsl:copy-of select="."/>
  </xsl:template>
  <xsl:template match="text()|processing-instruction()|comment()">
    <xsl:copy-of select="."/>
  </xsl:template>
</xsl:stylesheet>
<!--Created by X4 Designer, Copyright © SoftProject GmbH. All rights reserved.-->