<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
  xmlns:webapp="http://softproject.de/webapp/1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output media-type="text/xml" method="xml"/>
  <xsl:template match="//ColorSchemes">
    <Theme>
      <xsl:apply-templates select="@*|node()"/>
      <Fonts/>
    </Theme>
  </xsl:template>
  <xsl:template match="//ColorScheme/@target"/>
  <xsl:template match="//ChartsScheme">
    <ChartScheme>
      <xsl:apply-templates select="@*|node()"/>
    </ChartScheme>
  </xsl:template>
  <xsl:template match="//ChartsScheme/@target"/>
  <xsl:template match="*">
    <xsl:copy>
      <xsl:apply-templates select="@*"/>
      <xsl:apply-templates select="node()"/>
    </xsl:copy>
  </xsl:template>
  <xsl:template match="@*">
    <xsl:copy-of select="."/>
  </xsl:template>
  <xsl:template match="text()|processing-instruction()|comment()">
    <xsl:copy-of select="."/>
  </xsl:template>
</xsl:stylesheet>