<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0"
  xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output media-type="text/xml" method="xml"/>
  <xsl:variable name="graphics" select="/Workflow/Graphics"/>
  
  <xsl:template match="node() | @*">
    <xsl:copy>
      <xsl:apply-templates select="node() | @*"/>
    </xsl:copy>
  </xsl:template>
  
  <xsl:template match="/Workflow/Actions/Action[Name = 'Block Arrow']">
    <xsl:copy>
      <xsl:variable name="svgId" select="@SVGid"/>
      <xsl:variable name="filePath" select="Parameters/Parameter[name = 'workflow']/value"/>
      
      <xsl:apply-templates select="@* | node()"/>
      <xsl:for-each select="$graphics//g">
        <xsl:if test="@id =$svgId and not(ends-with($filePath, text))">
          <Label>
            <xsl:value-of select="text"/>
          </Label>
        </xsl:if>
      </xsl:for-each>
    </xsl:copy>
  </xsl:template>
</xsl:stylesheet>
<!--Created by X4 Designer, Copyright © SoftProject GmbH. All rights reserved.-->