<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output media-type="text/xml" method="xml"/>
  <xsl:strip-space elements="*"/>
  <xsl:template match="/*">
    <ColorSchemes>
      <xsl:copy>
        <xsl:attribute name="target">main</xsl:attribute>
        <xsl:apply-templates></xsl:apply-templates>
      </xsl:copy>
      <ChartsScheme target="charts">
       	<Color01 normal="#3e5570" contrast="#ffffff"/>
		<Color02 normal="#403e70" contrast="#ffffff"/>
		<Color03 normal="#593e70" contrast="#ffffff"/>
		<Color04 normal="#703e6e" contrast="#ffffff"/>
		<Color05 normal="#703e56" contrast="#ffffff"/>
		<Color06 normal="#70413e" contrast="#ffffff"/>
		<Color07 normal="#70593e" contrast="#ffffff"/>
		<Color08 normal="#4b703e" contrast="#ffffff"/>
		<Color09 normal="#55703e" contrast="#ffffff"/>
		<Color10 normal="#3e7040" contrast="#ffffff"/>
		<Color11 normal="#3e7058" contrast="#ffffff"/>
		<Color12 normal="#3e6e70" contrast="#ffffff"/>
		<ColorGaugeAxisMin normal="#228b22" contrast="#ffffff"/>
		<ColorGaugeAxisMiddle normal="#3e5570" contrast="#ffffff"/>
		<ColorGaugeAxisMax normal="#ff4500" contrast="#ffffff"/>
      </ChartsScheme>
    </ColorSchemes>
  </xsl:template>
  <xsl:template match="node()">
    <xsl:copy>
      <xsl:apply-templates select="@*"></xsl:apply-templates>
      <xsl:apply-templates select="child::node()|text()"></xsl:apply-templates>
    </xsl:copy>
  </xsl:template>
  <xsl:template match="@*">
    <xsl:copy-of select="."></xsl:copy-of>
  </xsl:template>
</xsl:stylesheet>
<!--Created by X4 Designer, Copyright © SoftProject GmbH. All rights reserved.-->