<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output media-type="text/xml" method="xml"/>
  <xsl:template match="*">
    <xsl:copy>
      <xsl:apply-templates select="@*"/>
      <xsl:apply-templates select="node()"/>
    </xsl:copy>
  </xsl:template>
  <xsl:template match="@*">
    <xsl:copy-of select="."/>
  </xsl:template>
  <xsl:template match="text()|processing-instruction()|comment()">
    <xsl:copy-of select="."/>
  </xsl:template>
  <xsl:template match="x4/server/jndi">
  	<xsl:if test="string-length(normalize-space(.)) != 0">
		<xsl:message>####################### X4Config.xml ########################</xsl:message>
		<xsl:message>## WARNING: Configuration x4.server.jndi was removed:      ##</xsl:message>
		<xsl:message>##          External JNDI servers are no longer supported! ##</xsl:message>
		<xsl:message>#############################################################</xsl:message>
  	</xsl:if>
  </xsl:template>
</xsl:stylesheet>
