<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
  <xsl:param name="oldOperation"></xsl:param>
  <xsl:param name="newOperation"></xsl:param>
  <xsl:param name="adapterPath"></xsl:param>
  <xsl:output media-type="text/xml" method="xml"></xsl:output>
  <xsl:template match="*">
    <xsl:copy>
      <xsl:apply-templates select="@*"></xsl:apply-templates>
      <xsl:apply-templates select="node()"></xsl:apply-templates>
    </xsl:copy>
  </xsl:template>
  
  <xsl:template match="@*">
    <xsl:copy-of select="."></xsl:copy-of>
  </xsl:template>
  
  <xsl:template match="text()|processing-instruction()|comment()">
    <xsl:copy-of select="."></xsl:copy-of>
  </xsl:template>
  
  <xsl:template match="adapter/actions/action[name = $oldOperation and value = $oldOperation]/name">
  	<name><xsl:value-of select="$newOperation"></xsl:value-of></name>
  </xsl:template>
  
   <xsl:template match="adapter/actions/action[name = $oldOperation and value = $oldOperation]/value">
  	<value><xsl:value-of select="$newOperation"></xsl:value-of></value>
  </xsl:template>
  
</xsl:stylesheet>